Subject: bug#25025: python-shell-calculate-command is wrong

From: [email-masked]
Date: Fri, 09 Dec 2016 00:29:59 -0500

tags 25025 fixed
close 25025 26.1
quit

Noam Postavsky <[email-masked]> writes:

> On Fri, Dec 2, 2016 at 10:46 AM, Eli Zaretskii <[email-masked]> wrote:
>>
>> Fine with me (and maybe also change the function's name while you are
>> at it).
>
> If you meant to remove the "shell" from
> `python-shell-calculate-command', I think that refers to the "python
> shell" (which would be called REPL in Lisp speak). There are quite a
> few other functions and variables with the python-shell prefix.

> On Fri, Dec 2, 2016 at 11:15 AM, Clément Pit--Claudel <[email-masked]> wrote:
>> 2. Keep running python as a subprocess, without a shell; in that
>> case, user-supplied commands (in C-u M-x run-python) need to be
>> "parsed" back into command + switches before running them, which
>> introduces a small potential for incorrect parsing.
>>
>> Noam, your approach is (2), right?  I like the simplicity.
>
> Yes, my approach keeps the status quo, it just stops introducing
> shell-quoting which could be parsed incorrectly.
>
>>
>> In the long run, it would be nice to offer a read-shell-command-as-list function, probably based on eshell.

Okay, it looks like the consensus is that we should apply the
`combine-and-quote-strings' fix for now, and possibly in future switch
to something more shell based.

I've pushed it to master as 8f611e5e2309 "Fix bad quoting of
python-shell-interpreter", and I'm closing this bug.